Subject: bug#23744: closed (Re: bug#23744: guix: npm don't run)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 29 Jun 2016 08:09:02 +0000

Your bug report

#23744: guix: npm don't run

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
23744: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=23744
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#23744: guix: npm don't run
From: [email-masked] (Ludovic Courtès)
To: "Jovany Leandro G.C" <[email-masked]>
Cc: [email-masked], Jelle Licht <[email-masked]>
Date: Wed, 29 Jun 2016 10:08:22 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

[email-masked] (Ludovic Courtès) skribis:

> "Jovany Leandro G.C" <[email-masked]> skribis:
>
>> this distro it's amazing i very happy using it.
>
> Thanks for your kind words.  :-)
>
>> i install **guix package -i npm** version *6.0.0* node 
>> and when try **npm** this throws:
>>
>> ~~~
>> Error: Cannot find module '../lib/npm.js'
>>     at Function.Module._resolveFilename (module.js:438:15)
>>     at Function.Module._load (module.js:386:25)
>>     at Module.require (module.js:466:17)
>>     at require (internal/module.js:20:19)
>>     at /gnu/store/y98akn298a47sn3f7c19pzw98jw9a14b-node-6.0.0/bin/npm:26:13
>>     at Object.<anonymous>
>> (/gnu/store/y98akn298a47sn3f7c19pzw98jw9a14b-node-6.0.0/bin/npm:76:3)
>> at Module._compile (module.js:541:32) at Object.Module._extensions..js
>> (module.js:550:10) at Module.load (module.js:456:32)
>>     at tryModuleLoad (module.js:415:12)
>> ~~~
>>
>> i fix for working:
>>
>> create a file $HOME/bin/npm
>> ~~~
>> #!/bin/sh
>> node $HOME/.guix-profile/lib/node_modules/npm/bin/npm-cli.js $@
>> ~~~
>
> This seems to be related to:
>
>   http://bugs.gnu.org/23723
>
> Jelle: I gather you have a patch around that changes or removes the
> ‘patch-shebangs’ phase for npm?  Could you submit it on guix-devel?

I pushed a workaround in Node itself as commit
2de091f0c8ee143b1dd07483b3b86a31870342c0.

Eventually we’ll push Jelle’s fix for #23723, but since that’s a
rebuild-the-world change, it’ll be some time before it’s available, so
this workaround is our best bet for now.

Thanks!

Ludo’.

Subject: guix: npm don't run
From: "Jovany Leandro G.C" <[email-masked]>
To: [email-masked]
Date: Fri, 10 Jun 2016 08:31:07 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

HI,
this distro it's amazing i very happy using it.

i install **guix package -i npm** version *6.0.0* node 
and when try **npm** this throws:

~~~
Error: Cannot find module '../lib/npm.js'
    at Function.Module._resolveFilename (module.js:438:15)
    at Function.Module._load (module.js:386:25)
    at Module.require (module.js:466:17)
    at require (internal/module.js:20:19)
    at /gnu/store/y98akn298a47sn3f7c19pzw98jw9a14b-node-6.0.0/bin/npm:26:13
    at Object.<anonymous>
(/gnu/store/y98akn298a47sn3f7c19pzw98jw9a14b-node-6.0.0/bin/npm:76:3)
at Module._compile (module.js:541:32) at Object.Module._extensions..js
(module.js:550:10) at Module.load (module.js:456:32)
    at tryModuleLoad (module.js:415:12)
~~~

i fix for working:

create a file $HOME/bin/npm
~~~
#!/bin/sh
node $HOME/.guix-profile/lib/node_modules/npm/bin/npm-cli.js $@
~~~

append to $HOME/.bashrc

~~~
export PATH=$HOME/bin:$PATH
~~~

and that's it, now npm works only for local install

for my case i run **npm install ionic@beta** and run **node
~/node_modules/ionic/bin/ionic**
and works :)

I hope to be helpful
thanks,